Subject: Re: bug#77869: Acknowledgement (how can artanis support minimal mode?)

From: "R.W.Flurando" <[email-masked]>
Date: Fri, 18 Apr 2025 08:05:53 +0800

to add something
the artanis Makefile.in has checks of DESTDIR
when installing or uninstalling
and and it do respect DESTDIR for the /etc/artanis/artanis.conf
I wonder whether the *default-conf-file* is really hardcoded
seemingly it is
then what will happen if I do ask for a DESTDIR?
Since the store path would be clear only when the hash has been
computed, it might be a egg-and-chicken problem
which means one cannot specify the correct DESTDIR even if artanis
config module respect this as well
No idea how to use the gnu autotools so I can't try them out now
wish for someone to look in
maybe a wrapper (generating artanis and artanis.real derivations in the
end) could be supplied?